/***************************************************************************
 *   Copyright (C) 2007 by Chunkeey                                        *
 *   chunkeey@web.de                                                       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef __asusled_h__
#define __asusled_h__

enum { DISPLAY_OFF = 1, DISPLAY_ON } DISPLAY_CONTROL;
enum { DRAW_ROLL = 1, DRAW_STATIC, DRAW_FLASH } DRAW_FUNC;

int oled_draw_image(struct usb_dev_handle *handle, int func,
		    int width, int height, const unsigned char *bitmap);
int oled_control(struct usb_dev_handle *handle, int on_off);
int oled_close(struct usb_dev_handle *handle);
struct usb_dev_handle *oled_find_device();

#endif
